<html>
<head>
<title>Ogre::NedAllocImpl Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1NedAllocImpl.html">NedAllocImpl</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::NedAllocImpl Class Reference<div class="ingroups"><a class="el" href="group__Memory.html">Memory</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::NedAllocImpl" -->
<p>Non-templated utility class just to hide nedmalloc.  
 <a href="classOgre_1_1NedAllocImpl.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreMemoryNedAlloc_8h_source.html">OgreMemoryNedAlloc.h</a>&gt;</code></p>

<p><a href="classOgre_1_1NedAllocImpl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NedAllocImpl.html#aa86f2ad9035e788d437f1bf6d07ee3cc">allocBytes</a> (size_t count, const char *file, int line, const char *func)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NedAllocImpl.html#a9c88cb5cfca37d88406f78c6ee742328">deallocBytes</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NedAllocImpl.html#a84b61c5e96b7ee6fe3b8c9ab9a88824d">allocBytesAligned</a> (size_t align, size_t count, const char *file, int line, const char *func)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NedAllocImpl.html#a8ee700752f8a43198555a35c090cfe26">deallocBytesAligned</a> (size_t align, void *ptr)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Non-templated utility class just to hide nedmalloc. </p>

<p>Definition at line <a class="el" href="OgreMemoryNedAlloc_8h_source.html#l00044">44</a> of file <a class="el" href="OgreMemoryNedAlloc_8h_source.html">OgreMemoryNedAlloc.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa86f2ad9035e788d437f1bf6d07ee3cc"></a><!-- doxytag: member="Ogre::NedAllocImpl::allocBytes" ref="aa86f2ad9035e788d437f1bf6d07ee3cc" args="(size_t count, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void* <a class="el" href="classOgre_1_1NedAllocImpl.html#aa86f2ad9035e788d437f1bf6d07ee3cc">Ogre::NedAllocImpl::allocBytes</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreMemoryNedAlloc_8h_source.html#l00067">Ogre::NedAllocPolicy::allocateBytes()</a>.</p>

</div>
</div>
<a class="anchor" id="a84b61c5e96b7ee6fe3b8c9ab9a88824d"></a><!-- doxytag: member="Ogre::NedAllocImpl::allocBytesAligned" ref="a84b61c5e96b7ee6fe3b8c9ab9a88824d" args="(size_t align, size_t count, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void* <a class="el" href="classOgre_1_1NedAllocImpl.html#a84b61c5e96b7ee6fe3b8c9ab9a88824d">Ogre::NedAllocImpl::allocBytesAligned</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>align</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreMemoryNedAlloc_8h_source.html#l00108">Ogre::NedAlignedAllocPolicy&lt; Alignment &gt;::allocateBytes()</a>.</p>

</div>
</div>
<a class="anchor" id="a9c88cb5cfca37d88406f78c6ee742328"></a><!-- doxytag: member="Ogre::NedAllocImpl::deallocBytes" ref="a9c88cb5cfca37d88406f78c6ee742328" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1NedAllocImpl.html#a9c88cb5cfca37d88406f78c6ee742328">Ogre::NedAllocImpl::deallocBytes</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreMemoryNedAlloc_8h_source.html#l00072">Ogre::NedAllocPolicy::deallocateBytes()</a>.</p>

</div>
</div>
<a class="anchor" id="a8ee700752f8a43198555a35c090cfe26"></a><!-- doxytag: member="Ogre::NedAllocImpl::deallocBytesAligned" ref="a8ee700752f8a43198555a35c090cfe26" args="(size_t align, void *ptr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1NedAllocImpl.html#a8ee700752f8a43198555a35c090cfe26">Ogre::NedAllocImpl::deallocBytesAligned</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>align</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="OgreMemoryNedAlloc_8h_source.html#l00114">Ogre::NedAlignedAllocPolicy&lt; Alignment &gt;::deallocateBytes()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMemoryNedAlloc_8h_source.html">OgreMemoryNedAlloc.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
